
dnoart <- d1[d1$art.tbdx %in% "No ART at TB Dx",]
dnoart$dx2ltfu <- dnoart$l_alive_d - dnoart$X7...Date.of.TB.diagnosis..current.episode.
dnoart$dx2ltfu[dnoart$dx2ltfu<0] <- 0
dnoart$dx2art[dnoart$dx2art==-9999] <- NA
dnoart$outcome2.01 <- ifelse(dnoart$outcome1a=="Unfavorable outcome",1,0)


dnoart$haart <- !is.na(dnoart$dx2art) & dnoart$dx2art <= 56
dnoart$ltfu <- dnoart$dx2ltfu <= 56 & !dnoart$haart  # eight weeks
dnoart$incevent <- 1*dnoart$haart + 2*(dnoart$ltfu) 
dnoart$time <- ifelse(!dnoart$haart,dnoart$dx2ltfu,dnoart$dx2art)
## add 1 for all events that occurred at time zero
dnoart$time[dnoart$time==0] <- 1

dnoart$incevent[dnoart$time>56] <- 0
dnoart$time[dnoart$time>56] <- 56.25


source("cum_inc.R")

START<-getltfucmprsk(dnoart$incevent,dnoart$time)
START.1<-getltfucmprsk(dnoart$incevent,dnoart$time,subset=(dnoart$outcome2.01==1))
START.2<-getltfucmprsk(dnoart$incevent,dnoart$time,subset=(dnoart$outcome2.01==0))

START.pval <- testltfucmprsk(dnoart$incevent,dnoart$time,group=dnoart$outcome2.01)$inc$Tests[1,2]

START.sum <- getcumincest(itime=c(28,56),inc=START,col2=TRUE)
START.1sum <- getcumincest(itime=c(28,56),inc=START.1)
START.2sum <- getcumincest(itime=c(28,56),inc=START.2,col2=TRUE)

STARTtex <- paste(paste(START.1sum,START.2sum,START.sum,sep=" & "),collapse=" \\\\ ")



dnoart <- droplevels(dnoart)
dnoart$outcome1a <- as.factor(dnoart$outcome1a)
tOUT2 <- table(dnoart$outcome1a)
OUT2.N <- printheader(tOUT2,pval=TRUE)
OUT2.NP <- printheader(tOUT2,pval=FALSE)

table2btex <- c(tail(getmedtex(dnoart$dx2art,by=dnoart$outcome1a,label="Days from TB Diagnosis to ART initiation, median (IQR)",digits=0,inc.pval=TRUE,miss.label=FALSE),1),
                #tail(getmedtex(as.numeric(dnoart$dx2ltfu),by=dnoart$outcome1a,label="Days from TB Diagnosis to Date last known alive, median (IQR)",digits=0,inc.pval=TRUE,miss.label=FALSE),1),
                tail(getnptex(dnoart$dx2artcat,by=dnoart$outcome1a,label="ART status",inc.pval=TRUE),1))

table2 <- paste(table2btex,collapse=" \\\\ ")

t2 <- table(dnoart$outcome[is.na(dnoart$outcome1a)])
t2miss <- paste(paste0(names(t2)," (",t2,")"),collapse="; ")



dnoart8wk <- dnoart[dnoart$dx2ltfu>=56,]


library(survival)

kma <- survfit(Surv(time,haart)~outcome2.01,data=dnoart)
kma1 <- survfit(Surv(time,haart)~1,data=dnoart[dnoart$outcome2.01 %in% 1,])
kma0 <- survfit(Surv(time,haart)~1,data=dnoart[dnoart$outcome2.01 %in% 0,])


summary(kma, times=7*0)
summary(kma, times=7*3)
summary(kma, times=7*6)
summary(kma, times=7*9)
summary(kma, times=84)


START.12 <- START ## overall cum inc

source("cumincplot_function-mb.R")


pdf("graphics/Fig1-pic.pdf",width=6.2,height=5, bg="transparent")
# png("graphics/Fig2A-pic.png",res=225,width=1400,height=1200, bg="transparent") 
# tiff("graphics/Fig2A-pic.tiff",res=225,width=1400,height=1200, bg="white") 
out2 <- cumincplot(kma, km1=kma1,km0=kma0, ## had to add this as workaround for apparant bug in summary(kma,time=0) giving N.risk=151 for both groups!
                   mark='',
                   xaxis.at=56*c(0,.25,.5,.75,1), xaxis.lab=c(0,2,4,6,8), # n.risk.at
                   lty.surv=c(4,5), lwd.surv=3, col.surv=mypalette[2:1], # survival.curves
                   lty.ci=0,        lwd.ci=1,   col.ci=1, # confidence intervals not plotted 
                   group.names=c('Favorable','Unfavorable'),
                   group.order=c(2,1), # order of appearance in the n.risk.at table and legend.
                   extra.left.margin=6, label.n.at.risk=FALSE, draw.lines=TRUE, 
                   cex.axis=.8, xlab='Time from TB diagnosis (weeks)', ylab='Cumulative incidence of ART initiation', # labels
                   grid=TRUE, lty.grid=1, lwd.grid=1, col.grid=grey(.9), 
                   legend=TRUE, loc.legend='topleft',
                   ylim=c(0,0.85), xlim=c(0,56),
                   cex.lab=.8, xaxs='r', bty='L', las=1, tcl=-.2,# other parameters passed to plot()
                   
) 
dev.off()



START<-getltfucmprsk(dnoart8wk$incevent,dnoart8wk$time)
START.1<-getltfucmprsk(dnoart8wk$incevent,dnoart8wk$time,subset=(dnoart8wk$outcome2.01==1))
START.2<-getltfucmprsk(dnoart8wk$incevent,dnoart8wk$time,subset=(dnoart8wk$outcome2.01==0))

kma <- survfit(Surv(time,haart)~outcome2.01,data=dnoart8wk)
kma1 <- survfit(Surv(time,haart)~1,data=dnoart8wk[dnoart8wk$outcome2.01 %in% 1,])
kma0 <- survfit(Surv(time,haart)~1,data=dnoart8wk[dnoart8wk$outcome2.01 %in% 0,])

source("cumincplot_function-mb.R")

mypalette <- brewer.pal(n=6, name="Set1")[c(1:6)]  ## wes_palette(n=5,name="Darjeeling")[c(5,1:4)]



pdf("graphics/Fig2-pic.pdf",width=6.2,height=5, bg="transparent")
# png("graphics/Fig2A-pic.png",res=225,width=1400,height=1200, bg="transparent") 
# tiff("graphics/Fig2A-pic.tiff",res=225,width=1400,height=1200, bg="white") 
out2 <- cumincplot(kma, km1=kma1,km0=kma0, ## had to add this as workaround for apparant bug in summary(kma,time=0) giving N.risk=151 for both groups!
               mark='',
               xaxis.at=56*c(0,.25,.5,.75,1), xaxis.lab=c(0,2,4,6,8), # n.risk.at
               lty.surv=c(4,5), lwd.surv=3, col.surv=mypalette[c(1,2)], # survival.curves
               lty.ci=0,        lwd.ci=1,   col.ci=1, # confidence intervals not plotted 
               group.names=c('Favorable','Unfavorable'),
               group.order=c(2,1), # order of appearance in the n.risk.at table and legend.
               extra.left.margin=6, label.n.at.risk=FALSE, draw.lines=TRUE, 
               cex.axis=.8, xlab='Time from TB diagnosis (weeks)', ylab='Cumulative incidence of ART initiation', # labels
               grid=TRUE, lty.grid=1, lwd.grid=1, col.grid=grey(.9), 
               legend=TRUE, loc.legend='topleft',
               ylim=c(0,0.85), xlim=c(0,56),
               cex.lab=.8, xaxs='r', bty='L', las=1, tcl=-.2,# other parameters passed to plot()
               
) 
dnoart8wkout <- dnoart8wk[!is.na(dnoart8wk$outcome2.01),]
# p1 <- testltfucmprsk(dnoart8wkout$incevent,dnoart8wkout$time,group=dnoart8wkout$outcome2.01)$inc$Tests[1,2]
sdf <- with(dnoart8wkout,survdiff(Surv(time,incevent)~outcome2.01))
p.val <- 1 - pchisq(sdf$chisq, length(sdf$n) - 1) ## log-rank test
legend("bottomright",paste0("p=",myformat4(p.val)),bty="n",cex=0.8)
dev.off()





dnoart8wk <- droplevels(dnoart8wk)
dnoart8wk$outcome1a <- as.factor(dnoart8wk$outcome1a)
tOUT2 <- table(dnoart8wk$outcome1a)
OUT2a.N <- printheader(tOUT2,pval=TRUE)
OUT2a.NP <- printheader(tOUT2,pval=FALSE)

table2ctex <- c(tail(getmedtex(dnoart8wk$dx2art,by=dnoart8wk$outcome1a,label="Days from TB Diagnosis to ART initiation, median (IQR)",digits=0,inc.pval=TRUE,miss.label=FALSE),1),
                tail(getnptex(dnoart8wk$dx2artcat,by=dnoart8wk$outcome1a,label="ART status",inc.pval=TRUE),1))

table2a <- paste(table2ctex,collapse=" \\\\ ")

t2a <- table(dnoart8wk$outcome[is.na(dnoart8wk$outcome1a)])
t2amiss <- paste(paste0(names(t2a)," (",t2a,")"),collapse="; ")



START.pval <- testltfucmprsk(dnoart$incevent,dnoart$time,group=dnoart$outcome2.01)$inc$Tests[1,2]


START.sum <- getcumincest(itime=c(28,56),inc=START,col2=TRUE)
START.1sum <- getcumincest(itime=c(28,56),inc=START.1)
START.2sum <- getcumincest(itime=c(28,56),inc=START.2,col2=TRUE)

START2tex <- paste(paste(START.1sum,START.2sum,START.sum,sep=" & "),collapse=" \\\\ ")






