#############################################################
#
#   Program: cph_model1.R
#   Project: 
# 
#   PI: 
#   Biostatistician/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Created: 
#   Revisions: 
#     
#
#############################################################

format2 <- function(x){format(round(x,2),nsmall=2)}

dnoart8wk$dx2close <- dnoart8wk$close_d - dnoart8wk$X7...Date.of.TB.diagnosis..current.episode.
dnoart8wk$dx2tfer <- as.Date(dnoart8wk$transfer_d) - dnoart8wk$X7...Date.of.TB.diagnosis..current.episode.
## LTFU definition is no contact in 180 days from close
dnoart8wk$ltfu365 <- ifelse(dnoart8wk$dx2ltfu<=365 & dnoart8wk$dx2close - dnoart8wk$dx2ltfu >= 180 & dnoart8wk$dx2close>=544,1,0)
dnoart8wk$ltfu365[!is.na(dnoart8wk$dx2tfer) & dnoart8wk$dx2tfer<=dnoart8wk$dx2ltfu] <- 0 ## remove transfers from this

dnoart8wk$death365 <- ifelse(!is.na(dnoart8wk$tb2death) & dnoart8wk$tb2death<=365,1,0)
dnoart8wk$ltfu365[dnoart8wk$death365==1] <- 0
dnoart8wk$deathltfu365 <- ifelse(dnoart8wk$death365==1 | dnoart8wk$ltfu365==1,1,0)

dnoart8wk$time365 <- ifelse(dnoart8wk$death365==1,dnoart8wk$tb2death,dnoart8wk$dx2ltfu)
dnoart8wk$time365[dnoart8wk$time365 > 365] <- 365

dnoart8wk$art8wk <- ifelse(dnoart8wk$dx2artcat %in% "0-56 days after TB Dx",1,0)

cph1.d1 <- with(dnoart8wk,data.frame(patient,time365,art8wk,ltfu365,death365,deathltfu365,dx2close))
cph1.dd1 <- datadist(cph1.d1)
options(datadist='cph1.dd1')

cph1 <- cph(Surv(time365,death365) ~ art8wk, data=cph1.d1, x=TRUE, y=TRUE)
cph2 <- cph(Surv(time365,ltfu365) ~ art8wk, data=cph1.d1, x=TRUE, y=TRUE)
cph3 <- cph(Surv(time365,deathltfu365) ~ art8wk,  data=cph1.d1, x=TRUE, y=TRUE)


cph1sum <- summary(cph1)
cph1sumlines1 <- paste(paste(sapply(cph1sum[2,4],format2)," (",sapply(cph1sum[2,6],format2),", ",sapply(cph1sum[2,7],format2),")",sep=""),sep=" & ")
cph2sum <- summary(cph2)
cph2sumlines1 <- paste(paste(sapply(cph2sum[2,4],format2)," (",sapply(cph2sum[2,6],format2),", ",sapply(cph2sum[2,7],format2),")",sep=""),sep=" & ")
cph3sum <- summary(cph3)
cph3sumlines1 <- paste(paste(sapply(cph3sum[2,4],format2)," (",sapply(cph3sum[2,6],format2),", ",sapply(cph3sum[2,7],format2),")",sep=""),sep=" & ")


sum1.ests <- paste0("Death (unadjusted)\\tnote{1} & ",cph1sumlines1," & ",myformat4(as.data.frame(anova(cph1))$P[1])," & ",cph1$stats[1]," & ",cph1$stats[2])
sum2.ests <- paste0("LTFU (unadjusted)\\tnote{1} & ",  cph2sumlines1," & ",myformat4(as.data.frame(anova(cph2))$P[1])," & ",cph2$stats[1]," & ",cph2$stats[2])
sum3.ests <- paste0("Death/LTFU (unadjusted)\\tnote{1} & ",  cph3sumlines1," & ",myformat4(as.data.frame(anova(cph3))$P[1])," & ",cph3$stats[1]," & ",cph3$stats[2])


cph1a <- cph(Surv(time365,death365) ~ art8wk, data=cph1.d1, subset=cph1.d1$dx2close>544, x=TRUE, y=TRUE)
cph2a <- cph(Surv(time365,ltfu365) ~ art8wk, data=cph1.d1, subset=cph1.d1$dx2close>544, x=TRUE, y=TRUE)
cph3a <- cph(Surv(time365,deathltfu365) ~ art8wk,  data=cph1.d1, subset=cph1.d1$dx2close>544, x=TRUE, y=TRUE)


cph1sum <- summary(cph1a)
cph1sumlines1 <- paste(paste(sapply(cph1sum[2,4],format2)," (",sapply(cph1sum[2,6],format2),", ",sapply(cph1sum[2,7],format2),")",sep=""),sep=" & ")
cph2sum <- summary(cph2a)
cph2sumlines1 <- paste(paste(sapply(cph2sum[2,4],format2)," (",sapply(cph2sum[2,6],format2),", ",sapply(cph2sum[2,7],format2),")",sep=""),sep=" & ")
cph3sum <- summary(cph3a)
cph3sumlines1 <- paste(paste(sapply(cph3sum[2,4],format2)," (",sapply(cph3sum[2,6],format2),", ",sapply(cph3sum[2,7],format2),")",sep=""),sep=" & ")


sum1a.ests <- paste0("Death (unadjusted)\\tnote{2} & ",cph1sumlines1," & ",myformat4(as.data.frame(anova(cph1a))$P[1])," & ",cph1a$stats[1]," & ",cph1a$stats[2])
sum2a.ests <- paste0("LTFU (unadjusted)\\tnote{2} & ",  cph2sumlines1," & ",myformat4(as.data.frame(anova(cph2a))$P[1])," & ",cph2a$stats[1]," & ",cph2a$stats[2])
sum3a.ests <- paste0("Death/LTFU (unadjusted)\\tnote{2} & ",  cph3sumlines1," & ",myformat4(as.data.frame(anova(cph3a))$P[1])," & ",cph3a$stats[1]," & ",cph3a$stats[2])

cph1_table <- paste(sum1.ests,sum2.ests,sum3.ests,sum1a.ests,sum2a.ests,sum3a.ests,sep=" \\\\ ")


##### CHECKING PH ASSUMPTION #####
checkhaz1 <- cox.zph(cph1,transform='log')
checkhaz2 <- cox.zph(cph2,transform='log')
checkhaz3 <- cox.zph(cph3,transform='log')

checkhaz4 <- cox.zph(cph1a,transform='log')
checkhaz5 <- cox.zph(cph2a,transform='log')
checkhaz6 <- cox.zph(cph3a,transform='log')

# plot(checkhaz1)
# plot(checkhaz2)
# plot(checkhaz3)
# plot(checkhaz4)
# plot(checkhaz5)
# plot(checkhaz6)
# 
# plot(survfit(Surv(time365, death365)~ art8wk, data = cph1.d1), xlab="Time", ylab="Survival Probability" )
# plot(survfit(Surv(time365, ltfu365)~ art8wk, data = cph1.d1), xlab="Time", ylab="Survival Probability" )
# plot(survfit(Surv(time365, deathltfu365)~ art8wk, data = cph1.d1),  xlab="Time", ylab="Survival Probability" )
# 
# plot(survfit(Surv(time365, death365)~ art8wk, data = cph1.d1, subset=cph1.d1$dx2close>544), xlab="Time", ylab="Survival Probability" )
# plot(survfit(Surv(time365, ltfu365)~ art8wk, data = cph1.d1, subset=cph1.d1$dx2close>544), xlab="Time", ylab="Survival Probability" )
# plot(survfit(Surv(time365, deathltfu365)~ art8wk, data = cph1.d1, subset=cph1.d1$dx2close>544),  xlab="Time", ylab="Survival Probability" )

