#############################################################
#
#   Program: lrm_model2.R
#   Project: IeDEA TB project 
#   PI:  
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 8 December 2015
#   Revisions: 10 February 2016 -- use only CD4percent count as linear
#              25 March 2016 -- incorporate Z-score and ART status
#     
#
#############################################################


model2.nl1<-fit.mult.impute(outcome2.01 ~ rcs(Age,3) + rcs(zwei,3) + rcs(CD4percent,4) + Gender + Result + Treatment + art.tbdx + Region, fitter=lrm, xtrans=a1, data =dat.model, subset=dat.model$Age<5)
model2.nl<-fit.mult.impute(outcome2.01 ~ rcs(Age,3) + zwei + rcs(CD4percent,4) + Gender + Result + Treatment + art.tbdx + Region, fitter=lrm, xtrans=a1, data =dat.model, subset=dat.model$Age<5)
model2<-fit.mult.impute(outcome2.01 ~ Age + zwei + CD4percent + Gender + Result + Treatment + art.tbdx + Region, fitter=lrm, xtrans=a1, data =dat.model,x=TRUE,y=TRUE, subset=dat.model$Age<5)
model2art <-fit.mult.impute(outcome2.01 ~ Age + zwei + CD4percent + Gender + Result + Treatment + dx2artcat1 + Region, fitter=lrm, xtrans=a1, data =dat.model,x=TRUE,y=TRUE, subset=dat.model$Age<5)
## ART EFFECTS:
# summary(model2)[13:14,]
# summary(model2art)[13:16,]
# model2comp<-lrm(outcome2.01 ~ Age + zwei + CD4percent + Gender + Result + Treatment + art.tbdx + Region, data =dat.model,x=TRUE,y=TRUE)
# 
# # p <- pentrace(model2comp, seq(0,10,by=.05))
# # plot(p)
# # p$diag      # may learn something about fractional effective d.f. 
# # # for each original parameter
# # pentrace(model2comp, list(simple=c(seq(0,10,0.5)), nonlinear=seq(0,5,0.25)))
# 
# model2a <- update(model2, penalty=5)
# effective.df(model2a)
# 
# plot(anova(model2a))
# validate(model2a,B=150)
# cal <- calibrate(model2a,B=150)
# plot(cal)

lrmsum <- summary(model2,Age=c(2,3),zwei=c(0,1),Gender="Male",CD4percent=c(50,51))[seq(2,22,by=2),]
lrmsumlines1 <- paste0(sapply(lrmsum[,4],myformat2)," (",sapply(lrmsum[,6],myformat2),", ",sapply(lrmsum[,7],myformat2),")")
lrmsumlines2 <- c(lrmsumlines1[1:7],"","1",lrmsumlines1[8:11])

lrm.labels <- c("Age (per 1 year)","Weight-for-age Z-score (per 1 SD)","CD4 percent (per 1 unit)","Female (vs. Male)",
                "At least 1 positive result (vs. Negative/No test performed)","No Ethambutol (vs. with Ethambutol)",
                "On ART at TB diagnosis",
                "Region","\\hspace{0.2in}East Africa (ref)","\\hspace{0.2in}Asia-Pacific","\\hspace{0.2in}Central Africa",
  "\\hspace{0.2in}Southern Africa","\\hspace{0.2in}West Africa")
model2pval <- as.data.frame(anova(model2))$P[c(1:8)]
pval1 <- c(sapply(model2pval[1:8],myformat4),rep("",5))
lrm2tex <- paste(lrm.labels,lrmsumlines2,pval1,sep=" & ",collapse=" \\\\ ")



lrmsum <- summary(model2art,Age=c(2,3),zwei=c(0,1),Gender="Male",CD4percent=c(50,60))[c(14,16),]
lrm2sumlines3 <- paste0(sapply(lrmsum[,4],myformat2)," (",sapply(lrmsum[,6],myformat2),", ",sapply(lrmsum[,7],myformat2),")")

