#############################################################
#
#   Program: table1.R
#   Project: IeDEA TB project 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 
#   Revisions: 
#     
#
#############################################################

## ART STATUS
d1$dx2art <- as.numeric(as.Date(d1$haart_d) - d1$X7...Date.of.TB.diagnosis..current.episode.)
d1$dx2art[is.na(d1$dx2art)] <- -9999
d1$dx2artcat <- cut(d1$dx2art,c(-10000,-9999,-6*30,-1,8*7,9999))
d1$dx2artcat[d1$dx2art==-9999 & is.na(d1$enrol_d)] <- NA

levels(d1$dx2artcat) <- c("No ART","6+ months at TB Dx","$<$6 months at TB Dx","0-56 days after TB Dx","$>$8 weeks after TB Dx")

## ART STATUS
d1$art2dx <- as.numeric(d1$X7...Date.of.TB.diagnosis..current.episode. - as.Date(d1$haart_d))


## ASSIGN AGE GROUP
d1$age.group <- ifelse(d1$age.tbdx<5,1,2)
d1$age.group <- factor(d1$age.group,levels=1:2,labels=c("Under 5 years","5-15 years"))
source("cdc_zscore.R")

if(sum(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Genitourinary.=="Checked",na.rm=TRUE)>0) stop("ERROR: Genitourinary")
if(sum(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Laryngeal.=="Checked",na.rm=TRUE)>0) stop("ERROR: Laryngeal")                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     

alltests <- with(d1,data.frame(AFB.smear,AFB.Culture.,GeneXpert,Other.nucleic.acid.amplification.test.))
misstest <- apply(is.na(alltests),1,sum)
d1$notperformed <- apply(alltests=="Not performed",1,sum)
d1$performed <- 4- apply(alltests=="Not performed",1,sum)
d1$anypositive <- apply(alltests=="Positive",1,sum,na.rm=TRUE); d1$anypositive[misstest>0] <- NA
d1$anynegative <- apply(alltests=="Negative",1,sum,na.rm=TRUE); d1$anynegative[misstest>0] <- NA

d1$microtest <- rep(NA,nrow(d1))
d1$microtest[d1$anypositive>0 & !is.na(d1$anypositive)] <- 1
d1$microtest[d1$anypositive==0 & !is.na(d1$anypositive) & d1$anynegative>0 & !is.na(d1$anynegative)] <- 2
d1$microtest[d1$anypositive==0 & !is.na(d1$anypositive) & d1$anynegative==0 & !is.na(d1$anynegative) & d1$performed>0 & !is.na(d1$performed)] <- 3
d1$microtest[d1$performed==0 & !is.na(d1$performed)] <- 4
d1$microtest <- factor(d1$microtest,levels=1:4,labels=c("At least 1 positive result","Tested with negative result(s)","Unknown results for all tests","No test performed"))

d1<-upData(d1,
           microtest.2category=factor(ifelse(microtest %in% c("Tested with negative result(s)","No test performed"),"Negative/No test performed",as.character(microtest))),
           cd4.missing=factor(ifelse(is.na(X25...CD4.cell.count.value),"Missing","Not missing")),
           cd4percent.missing=factor(ifelse(is.na(X26...CD4.percent.value),"Missing","Not missing")))

if(sum(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.CSF.=="Checked")>0) stop ("ERROR: CSF")


v1 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Isoniazid.=="Checked","Isoniazid",NA)
v2 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked","Rifampin/Rifampicin",NA)
v3 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked","Pyrazinamide",NA)
v4 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ethambutol.=="Checked","Ethambutol",NA)
d1$combo_phase1 <- apply(data.frame(v1,v2,v3,v4),1,FUN=function(x) paste(x[!is.na(x)],collapse=" + "))
d1$combo_phase1[d1$combo_phase1==""] <- "None checked"
## AARON WANTS OTHER COMBINATIONS TO BE FORCED AS MISSING -- 7/30 email
d1$combo_phase1a <- d1$combo_phase1
d1$combo_phase1a[!(d1$combo_phase1a %in% c("Isoniazid + Rifampin/Rifampicin + Pyrazinamide","Isoniazid + Rifampin/Rifampicin + Pyrazinamide + Ethambutol"))] <- NA

v1 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Isoniazid.=="Checked","Isoniazid",NA)
v2 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked","Rifampin/Rifampicin",NA)
v3 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked","Pyrazinamide",NA)
v4 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ethambutol.=="Checked","Ethambutol",NA)
d1$combo_phase2 <- apply(data.frame(v1,v2,v3,v4),1,FUN=function(x) paste(x[!is.na(x)],collapse=" + "))
d1$combo_phase2[d1$combo_phase2==""] <- "None checked"


d1$dx2txcat <- cut(d1$dx2tx,c(-100,-0.01,0,14,30,1000))
levels(d1$dx2txcat) <- c("Before diagnosis","Same day as diagnosis","1-14 days following diagnosis","15-30 days following diagnosis","$>$30 days following diagnosis")


d1$outcome1a <- as.factor(d1$outcome1a)
tOUT1 <- table(d1$outcome1a)
OUT1.N <- printheader(tOUT1,pval=TRUE)
OUT1.NP <- printheader(tOUT1,pval=FALSE)

table1btex <- c(tail(getmedtex(d1$age.tbdx,by=d1$outcome1a,label="Age TB diagnosis, median (IQR)",digits=1,inc.pval=FALSE,miss.label=FALSE),1),
                #              tail(getnptex(d1$X5...Sex,by=d1$outcome1a,label="Sex",inc.pval=FALSE),1),
                getnp1line(ifelse(d1$X5...Sex=="Female",1,NA),by=d1$outcome1a,rowlabel="Female, n(\\%)",inc.pval=FALSE,indent=FALSE),
                tail(getnptex(d1$region,by=d1$outcome1a,label="Region",inc.pval=FALSE),1),
                tail(getnptex(d1$X16...Site.of.disease,by=d1$outcome1a,label="Site of disease",inc.pval=FALSE),1),
                "Extrapulmonary site, n(\\%)\\tnote{c}",
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pleural.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Pleural",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Lymphatic.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Lymphatic",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Bone.and.or.joint.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Bone/joint",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Abdominal..peritoneum..omentum..liver..spleen..colon..=="Checked",1,NA), by=d1$outcome1a,rowlabel="Abdominal",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pericardial.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Pericardial", indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.CNS.Meningieal.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="CNS/Meningiel",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Miliary.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Miliary",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Unknown.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE),
                tail(getmedtex(d1$X25...CD4.cell.count.value,by=d1$outcome1a,label="CD4 count, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$X26...CD4.percent.value,by=d1$outcome1a,label="CD4 percentage, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$X27...HIV.RNA.value,by=d1$outcome1a,label="Viral load, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$BMI.at.start.of.TB.treatment,by=d1$outcome1a,label="BMI at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$X10...Weight.at.start.of.TB.treatment.value,by=d1$outcome1a,label="Weight (kg) at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$zwei,by=d1$outcome1a,label="Weight-for-age Z-score, median (IQR)",digits=2,inc.pval=FALSE,miss.label=FALSE)$line,1),
                tail(getnptex(d1$zweigrp,by=d1$outcome1a,label="Weight-for-age Z-score",inc.pval=FALSE),1),
                # tail(getnptex(d1$X23...Did.patient.have.a.positive.tuberculin.skin.test..TST..or.interferon.gamma.release.assay..IGRA..at.any.time.before.the.current.TB.diagnosis,by=d1$outcome1a,label="Positive TST/IGRA result anytime before TB diagnosis",inc.pval=FALSE),1),
                # tail(getnptex(d1$X24...Did.patient.receive.Isoniazid.Preventive.Therapy..IPT..at.any.time.before.the.current.TB.diagnosis.,by=d1$outcome1a,label="IPT receipt anytime before TB diagnosis",inc.pval=FALSE),1),
                tail(getnptex(d1$microtest.2category,by=d1$outcome1a,label="Test Result",inc.pval=FALSE),1),
                tail(getnptex(d1$combo_phase1a,by=d1$outcome1a,label="TB Treatment",inc.pval=FALSE),1),
                tail(getnptex(d1$dx2artcat,by=d1$outcome1a,label="ART status",inc.pval=FALSE),1))

table1b <- paste(table1btex,collapse=" \\\\ ")

t1 <- table(d1$outcome[is.na(d1$outcome1a)])
t1miss <- paste(paste0(names(t1)," (",t1,")"),collapse="; ")



