#############################################################
#
#   Program: table2.R
#   Project: IeDEA TB project 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose:
#   Notes: 
#   Created:
#   Revisions: 
#     
#
#############################################################


tAGE <- table(d1$age.group)
AGE.N <- printheader(tAGE,pval=FALSE)

table1tex <- c(tail(getnptex(d1$region,by=d1$age.group,label="Region",inc.pval=FALSE),1),
#              tail(getnptex(d1$X5...Sex,by=d1$age.group,label="Sex",inc.pval=FALSE),1),
             getnp1line(ifelse(d1$X5...Sex=="Female",1,NA),by=d1$age.group,rowlabel="Female, n(\\%)",inc.pval=FALSE,indent=FALSE),
             tail(getnptex(d1$X16...Site.of.disease,by=d1$age.group,label="Site of disease",inc.pval=FALSE),1),
             "Extrapulmonary site, n(\\%)\\tnote{c}",
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pleural.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="Pleural",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Lymphatic.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="Lymphatic",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Bone.and.or.joint.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="Bone/joint",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Abdominal..peritoneum..omentum..liver..spleen..colon..=="Checked",1,NA), by=d1$age.group,rowlabel="Abdominal",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pericardial.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="Pericardial", indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.CNS.Meningieal.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="CNS/Meningiel",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Miliary.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="Miliary",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Unknown.=="Checked",1,NA),
                        by=d1$age.group,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE),
#              getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Other.=="Checked",1,NA),
#                         by=d1$age.group,rowlabel="Other",indent=TRUE,inc.pval=FALSE),
             tail(getmedtex(d1$X25...CD4.cell.count.value,by=d1$age.group,label="CD4 count, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$X26...CD4.percent.value,by=d1$age.group,label="CD4 percentage, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$X27...HIV.RNA.value,by=d1$age.group,label="Viral load, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$BMI.at.start.of.TB.treatment,by=d1$age.group,label="BMI at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$X10...Weight.at.start.of.TB.treatment.value,by=d1$age.group,label="Weight (kg) at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$zwei,by=d1$age.group,label="Weight-for-age Z-score, median (IQR)",digits=2,inc.pval=FALSE,miss.label=FALSE)$line,1),
             tail(getnptex(d1$zweigrp,by=d1$age.group,label="Weight-for-age Z-score",inc.pval=FALSE),1),
#              tail(getmedtex(d1$BMI.at.end.of.TB.treatment,by=d1$age.group,label="BMI at end of TB treatment, median (IQR)",digits=0,inc.pval=FALSE),1),
             tail(getnptex(d1$X23...Did.patient.have.a.positive.tuberculin.skin.test..TST..or.interferon.gamma.release.assay..IGRA..at.any.time.before.the.current.TB.diagnosis,by=d1$age.group,label="Positive TST/IGRA result anytime before TB diagnosis",inc.pval=FALSE),1),
             tail(getnptex(d1$X24...Did.patient.receive.Isoniazid.Preventive.Therapy..IPT..at.any.time.before.the.current.TB.diagnosis.,by=d1$age.group,label="IPT receipt anytime before TB diagnosis",inc.pval=FALSE),1),
             tail(getnptex(d1$X30...Is.this.case.a.TB.re.treatment.case.,by=d1$age.group,label="History of previous TB (retreatment case)",inc.pval=FALSE),1))

table1 <- paste(table1tex,collapse=" \\\\ ")
        

alltest <- data.frame(v1=ifelse(d1$AFB.smear=="Positive","Smear+",NA),
                     v2=ifelse(d1$AFB.smear=="Negative","Smear-",NA),
                     v3=ifelse(d1$AFB.smear=="Not performed",NA,NA),
                     v4=ifelse(d1$AFB.smear=="Unknown","Smear?",NA),
                     v5=ifelse(d1$AFB.Culture.=="Positive","Culture+",NA),
                     v6=ifelse(d1$AFB.Culture.=="Negative","Culture-",NA),
                     v7=ifelse(d1$AFB.Culture.=="Not performed",NA,NA),
                     v8=ifelse(d1$AFB.Culture.=="Unknown","Culture?",NA),
                     v9=ifelse(d1$GeneXpert=="Positive","GeneXpert+",NA),
                     v10=ifelse(d1$GeneXpert=="Negative","GeneXpert-",NA),
                     v11=ifelse(d1$GeneXpert=="Not performed",NA,NA),
                     v12=ifelse(d1$GeneXpert=="Unknown","GeneXpert?",NA),
                     v13=ifelse(d1$Other.nucleic.acid.amplification.test.=="Positive","NAAT+",NA),
                     v14=ifelse(d1$Other.nucleic.acid.amplification.test.=="Negative","NAAT-",NA),
                     v15=ifelse(d1$Other.nucleic.acid.amplification.test.=="Not performed",NA,NA),
                     v16=ifelse(d1$Other.nucleic.acid.amplification.test.=="Unknown","NAAT?",NA))
d1$tests <- apply(alltest,1,FUN=function(x) paste(x[!is.na(x)],collapse=" \\& "))
d1$tests[d1$tests==""] <- "No test/invalid"
# 
table2tex <- c("Diagnostic test results",
             tail(getnptex(d1$AFB.smear,by=d1$age.group,label="AFB smear",inc.pval=FALSE),1),
             tail(getnptex(d1$AFB.Culture.,by=d1$age.group,label="AFB culture",inc.pval=FALSE),1),
             tail(getnptex(d1$GeneXpert,by=d1$age.group,label="GeneXpert",inc.pval=FALSE),1),
             tail(getnptex(d1$Other.nucleic.acid.amplification.test.,by=d1$age.group,label="Other NAAT",inc.pval=FALSE),1),
             tail(getnptex(as.factor(d1$performed),by=d1$age.group,label="Number of tests performed (with pos/neg/invalid result)",inc.pval=FALSE),1),
             tail(getnptex(as.factor(d1$anypositive),by=d1$age.group,label="Number of positive tests",inc.pval=FALSE),1),
             getnptex(droplevels(d1$microtest),by=d1$age.group,label="Microbiologic confirmation (categorized)",inc.pval=FALSE)[1],
#              tail(getnptex(d1$tests,by=d1$age.group,label="Testing combinations (categorized)",inc.pval=FALSE),1),
#              getnp1line(ifelse(d1$notperformed==4,1,NA),by=d1$age.group,rowlabel="None of four tests was performed",indent=FALSE,inc.pval=FALSE),
#              getnp1line(ifelse(d1$anypositive>0,1,NA),by=d1$age.group,rowlabel="Any one test was positive",indent=FALSE,inc.pval=FALSE),
             "Source of specimen (any positive test), n(\\%)\\tnote{c}",
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Expectorated.sputum.=="Checked",1,NA),by=d1$age.group,rowlabel="Expectorated sputum",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Induced.sputum.=="Checked",1,NA),by=d1$age.group,rowlabel="Induced sputum",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Gastric.aspirate.=="Checked",1,NA),by=d1$age.group,rowlabel="Gastric aspirate",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Pleural.fluid.=="Checked",1,NA),by=d1$age.group,rowlabel="Pleural fluid",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Bronchoalveolar.lavage..BAL..=="Checked",1,NA),by=d1$age.group,rowlabel="Bronchoalveolar lavage",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Lymph.node.biopsy.or.aspirate.=="Checked",1,NA),by=d1$age.group,rowlabel="Lymph node biopsy or aspirat",indent=TRUE,inc.pval=FALSE),
#              getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.CSF.=="Checked",1,NA),by=d1$age.group,rowlabel="CSF",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Blood.=="Checked",1,NA),by=d1$age.group,rowlabel="Blood.",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Unknown.=="Checked",1,NA),by=d1$age.group,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE)
             # getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Other.=="Checked",1,NA),by=d1$age.group,rowlabel="Other",indent=TRUE,inc.pval=FALSE)
             )

table2 <- paste(table2tex,collapse=" \\\\ ")

table3tex <- c("First 2-3 months / intensive phase, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Isoniazid.=="Checked",1,NA),by=d1$age.group,rowlabel="Isoniazid",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked",1,NA),by=d1$age.group,rowlabel="Rifampin/Rifampicin",inc.pval=FALSE,indent=FALSE),
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifabutin.=="Checked",1,NA),by=d1$age.group,rowlabel="Rifabutin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifapentine.=="Checked",1,NA),by=d1$age.group,rowlabel="Rifapentine",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked",1,NA),by=d1$age.group,rowlabel="Pyrazinamide",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ethambutol.=="Checked",1,NA),by=d1$age.group,rowlabel="Ethambutol",inc.pval=FALSE,indent=FALSE),
               # getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Capreomycin.=="Checked",1,NA),by=d1$age.group,rowlabel="Capreomycin",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Streptomycin.=="Checked",1,NA),by=d1$age.group,rowlabel="Streptomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Kanamycin.=="Checked",1,NA),by=d1$age.group,rowlabel="Kanamycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Amikacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Amikacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                   
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ethionamide.=="Checked",1,NA),by=d1$age.group,rowlabel="Ethionamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Cycloserine.Terizidone.=="Checked",1,NA),by=d1$age.group,rowlabel="Cycloserine/Terizidone",inc.pval=FALSE,indent=FALSE),                                                                                                                                                     
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Para.aminosalicylate.sodium..PAS..=="Checked",1,NA),by=d1$age.group,rowlabel="Para-aminosalicylate sodium",inc.pval=FALSE,indent=FALSE),
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ofloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Ofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Gatifloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Gatifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               # getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Moxifloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Moxifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Levofloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Levofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Other.=="Checked",1,NA),by=d1$age.group,rowlabel="Other",inc.pval=FALSE,indent=FALSE),
               "After first 2-3 months / continuation phase, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Isoniazid.=="Checked",1,NA),by=d1$age.group,rowlabel="Isoniazid",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked",1,NA),by=d1$age.group,rowlabel="Rifampin/Rifampicin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                        
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifabutin.=="Checked",1,NA),by=d1$age.group,rowlabel="Rifabutin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifapentine.=="Checked",1,NA),by=d1$age.group,rowlabel="Rifapentine",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked",1,NA),by=d1$age.group,rowlabel="Pyrazinamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ethambutol.=="Checked",1,NA),by=d1$age.group,rowlabel="Ethambutol",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Capreomycin.=="Checked",1,NA),by=d1$age.group,rowlabel="Capreomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Streptomycin.=="Checked",1,NA),by=d1$age.group,rowlabel="Streptomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Kanamycin.=="Checked",1,NA),by=d1$age.group,rowlabel="Kanamycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Amikacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Amikacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                   
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ethionamide.=="Checked",1,NA),by=d1$age.group,rowlabel="Ethionamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Cycloserine.Terizidone.=="Checked",1,NA),by=d1$age.group,rowlabel="Cycloserine/Terizidone",inc.pval=FALSE,indent=FALSE),                                                                                                                                                     
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Para.aminosalicylate.sodium..PAS..=="Checked",1,NA),by=d1$age.group,rowlabel="Para-aminosalicylate sodium",inc.pval=FALSE,indent=FALSE),                                                                                                                                          
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ofloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Ofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Gatifloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Gatifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Moxifloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Moxifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Levoloxacin.=="Checked",1,NA),by=d1$age.group,rowlabel="Levofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Other.=="Checked",1,NA),by=d1$age.group,rowlabel="Other",inc.pval=FALSE,indent=FALSE),
               tail(getnptex(d1$Isoniazid.resistance,by=d1$age.group,label="Isoniazid resistance",inc.pval=FALSE),1),
               tail(getnptex(d1$Rifampicin.resistance,by=d1$age.group,label="Rifampicin resistance",inc.pval=FALSE),1),
               tail(getnptex(d1$X19...Was.treatment.directly.observed..DOT..,by=d1$age.group,label="Was treatment directly observed?",inc.pval=FALSE),1),
               tail(getnptex(d1$X20...Intermittency.of.dosing.that.patient.received.in.continuation.phase..after.the.first.2.3.months.of.treatment.,by=d1$age.group,label="Intermittency of dosing in continuation phase",inc.pval=FALSE),1)
)


table3 <- paste(table3tex,collapse=" \\\\ ")




v1 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Isoniazid.=="Checked","Isoniazid",NA)
v2 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked","Rifampin/Rifampicin",NA)
v3 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked","Pyrazinamide",NA)
v4 <- ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ethambutol.=="Checked","Ethambutol",NA)
d1$combo_phase1 <- apply(data.frame(v1,v2,v3,v4),1,FUN=function(x) paste(x[!is.na(x)],collapse=" + "))
d1$combo_phase1[d1$combo_phase1==""] <- "None checked"
## AARON WANTS OTHER COMBINATIONS TO BE FORCED AS MISSING -- 7/30 email
d1$combo_phase1a <- d1$combo_phase1
d1$combo_phase1a[!(d1$combo_phase1a %in% c("Isoniazid + Rifampin/Rifampicin + Pyrazinamide","Isoniazid + Rifampin/Rifampicin + Pyrazinamide + Ethambutol"))] <- NA

v1 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Isoniazid.=="Checked","Isoniazid",NA)
v2 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked","Rifampin/Rifampicin",NA)
v3 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked","Pyrazinamide",NA)
v4 <- ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ethambutol.=="Checked","Ethambutol",NA)
d1$combo_phase2 <- apply(data.frame(v1,v2,v3,v4),1,FUN=function(x) paste(x[!is.na(x)],collapse=" + "))
d1$combo_phase2[d1$combo_phase2==""] <- "None checked"

table3atex <- c(tail(getnptex(d1$combo_phase1,by=d1$age.group,label="First 2-3 months / intensive phase treatment combination",inc.pval=FALSE),1),
                tail(getnptex(d1$combo_phase2,by=d1$age.group,label="After first 2-3 months / continuation phase treatment combination",inc.pval=FALSE),1))

table3a <- paste(table3atex,collapse=" \\\\ ")


table4tex <- c(tail(getmedtex(d1$dx2tx,by=d1$age.group,label="Time from diagnosis to treatment (days), median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               tail(getnptex(d1$dx2txcat,by=d1$age.group,label="Time from diagnosis to treatment (categorized)",inc.pval=FALSE),1),
               tail(getmedtex(d1$X13...Total.months.of.TB.treatment.received..excluding.interruptions,by=d1$age.group,label="Months of continuous TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               "TB treatment outcomes, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Cure.Patient.with.positive.sputum.smear.or.culture.at.beginning.of.treatment.but.who.was.smear.or.culture.negative.in.the.last.month.of.treatment.and.one.at.least.on.previous.occasion.=="Checked",1,NA),by=d1$age.group,rowlabel="Cure",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Completion.Patient.who.completed.treatment.but.who.does.not.have.a.negative.sputum.smear.or.culture.in.the.last.month.of.treatment.and.on.at.least.one.previous.occasion.=="Checked",1,NA),by=d1$age.group,rowlabel="Completion",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Failure.Patient.with.positive.sputum.smear.or.culture.at.month.5.or.later.during.treatment.OR.a.patient.found.to.harbor.a.MDR.strain.at.any.time.during.treatment.=="Checked",1,NA),by=d1$age.group,rowlabel="Failure",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Death.during.TB.treatment.=="Checked",1,NA),by=d1$age.group,rowlabel="Death during TB treatment",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Default.Patient.whose.treatment.was.interrupted.for.2.months.or.more.=="Checked",1,NA),by=d1$age.group,rowlabel="Default",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Transfer.A.patient.who.has.been.transferred.to.another.recording.and.reporting.unit.and.whose.treatment.outcome.is.unknown.=="Checked",1,NA),by=d1$age.group,rowlabel="Transfer",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Unknown.TB.treatment.outcome.is.unknown.=="Checked",1,NA),by=d1$age.group,rowlabel="Unknown",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.On.therapy.Patient.is.still.on.TB.therapy.=="Checked",1,NA),by=d1$age.group,rowlabel="On therapy",inc.pval=FALSE,indent=TRUE),
               tail(getnptex(d1$outcome1a,by=d1$age.group,label="TB treatment outcomes (dichotomized)",inc.pval=FALSE),1))

table4 <- paste(table4tex,collapse=" \\\\ ")


allteststex <- getnpuni(d1$tests,label="Testing combinations (categorized)")








d1$combo_phase1a <- as.factor(d1$combo_phase1a)
tCOMBO1 <- table(d1$combo_phase1a)
COMBO1.N <- printheader(tCOMBO1,pval=FALSE)

table1atex <- c(tail(getmedtex(d1$age.tbtreat,by=d1$combo_phase1a,label="Age at start of TB treatment, median (IQR)",digits=1,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getnptex(d1$region,by=d1$combo_phase1a,label="Region",inc.pval=FALSE),1),
               #              tail(getnptex(d1$X5...Sex,by=d1$combo_phase1a,label="Sex",inc.pval=FALSE),1),
               getnp1line(ifelse(d1$X5...Sex=="Female",1,NA),by=d1$combo_phase1a,rowlabel="Female, n(\\%)",inc.pval=FALSE,indent=FALSE),
               tail(getnptex(d1$X16...Site.of.disease,by=d1$combo_phase1a,label="Site of disease",inc.pval=FALSE),1),
               "Extrapulmonary site, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pleural.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="Pleural",indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Lymphatic.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="Lymphatic",indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Bone.and.or.joint.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="Bone/joint",indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Abdominal..peritoneum..omentum..liver..spleen..colon..=="Checked",1,NA), by=d1$combo_phase1a,rowlabel="Abdominal",indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pericardial.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="Pericardial", indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.CNS.Meningieal.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="CNS/Meningiel",indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Miliary.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="Miliary",indent=TRUE,inc.pval=FALSE),
               getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Unknown.=="Checked",1,NA),
                          by=d1$combo_phase1a,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE),
               #              getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Other.=="Checked",1,NA),
               #                         by=d1$combo_phase1a,rowlabel="Other",indent=TRUE,inc.pval=FALSE),
               tail(getmedtex(d1$X25...CD4.cell.count.value,by=d1$combo_phase1a,label="CD4 count, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               tail(getmedtex(d1$X26...CD4.percent.value,by=d1$combo_phase1a,label="CD4 percentage, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               tail(getmedtex(d1$X27...HIV.RNA.value,by=d1$combo_phase1a,label="Viral load, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               tail(getmedtex(d1$BMI.at.start.of.TB.treatment,by=d1$combo_phase1a,label="BMI at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               tail(getmedtex(d1$X10...Weight.at.start.of.TB.treatment.value,by=d1$combo_phase1a,label="Weight (kg) at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               getnptex(d1$X10...Weight.at.start.of.TB.treatment.value>=20,by=d1$combo_phase1a,label="Weight (kg) category",rowlabel=c("$<$ 20 kg","$\\geq$20 kg"),inc.pval=FALSE)[1],
               #              tail(getmedtex(d1$BMI.at.end.of.TB.treatment,by=d1$combo_phase1a,label="BMI at end of TB treatment, median (IQR)",digits=0,inc.pval=FALSE),1),
               tail(getnptex(d1$X23...Did.patient.have.a.positive.tuberculin.skin.test..TST..or.interferon.gamma.release.assay..IGRA..at.any.time.before.the.current.TB.diagnosis,by=d1$combo_phase1a,label="Positive TST/IGRA result anytime before TB diagnosis",inc.pval=FALSE),1),
               tail(getnptex(d1$X24...Did.patient.receive.Isoniazid.Preventive.Therapy..IPT..at.any.time.before.the.current.TB.diagnosis.,by=d1$combo_phase1a,label="IPT receipt anytime before TB diagnosis",inc.pval=FALSE),1),
               tail(getnptex(d1$X30...Is.this.case.a.TB.re.treatment.case.,by=d1$combo_phase1a,label="History of previous TB (retreatment case)",inc.pval=FALSE),1))

table1a <- paste(table1atex,collapse=" \\\\ ")




d1$outcome1a <- as.factor(d1$outcome1a)
tOUT1 <- table(d1$outcome1a)
OUT1.N <- printheader(tOUT1,pval=FALSE)

table1btex <- c(tail(getmedtex(d1$age.tbtreat,by=d1$outcome1a,label="Age at start of TB treatment, median (IQR)",digits=1,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getnptex(d1$region,by=d1$outcome1a,label="Region",inc.pval=FALSE),1),
                #              tail(getnptex(d1$X5...Sex,by=d1$outcome1a,label="Sex",inc.pval=FALSE),1),
                getnp1line(ifelse(d1$X5...Sex=="Female",1,NA),by=d1$outcome1a,rowlabel="Female, n(\\%)",inc.pval=FALSE,indent=FALSE),
                tail(getnptex(d1$X16...Site.of.disease,by=d1$outcome1a,label="Site of disease",inc.pval=FALSE),1),
                "Extrapulmonary site, n(\\%)\\tnote{c}",
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pleural.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Pleural",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Lymphatic.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Lymphatic",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Bone.and.or.joint.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Bone/joint",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Abdominal..peritoneum..omentum..liver..spleen..colon..=="Checked",1,NA), by=d1$outcome1a,rowlabel="Abdominal",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pericardial.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Pericardial", indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.CNS.Meningieal.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="CNS/Meningiel",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Miliary.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Miliary",indent=TRUE,inc.pval=FALSE),
                getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Unknown.=="Checked",1,NA),
                           by=d1$outcome1a,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE),
                #              getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Other.=="Checked",1,NA),
                #                         by=d1$outcome1a,rowlabel="Other",indent=TRUE,inc.pval=FALSE),
                tail(getmedtex(d1$X25...CD4.cell.count.value,by=d1$outcome1a,label="CD4 count, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$X26...CD4.percent.value,by=d1$outcome1a,label="CD4 percentage, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$X27...HIV.RNA.value,by=d1$outcome1a,label="Viral load, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$BMI.at.start.of.TB.treatment,by=d1$outcome1a,label="BMI at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                tail(getmedtex(d1$X10...Weight.at.start.of.TB.treatment.value,by=d1$outcome1a,label="Weight (kg) at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
                getnptex(d1$X10...Weight.at.start.of.TB.treatment.value>=20,by=d1$outcome1a,label="Weight (kg) category",rowlabel=c("$<$ 20 kg","$\\geq$20 kg"),inc.pval=FALSE)[1],
                #              tail(getmedtex(d1$BMI.at.end.of.TB.treatment,by=d1$outcome1a,label="BMI at end of TB treatment, median (IQR)",digits=0,inc.pval=FALSE),1),
                tail(getnptex(d1$X23...Did.patient.have.a.positive.tuberculin.skin.test..TST..or.interferon.gamma.release.assay..IGRA..at.any.time.before.the.current.TB.diagnosis,by=d1$outcome1a,label="Positive TST/IGRA result anytime before TB diagnosis",inc.pval=FALSE),1),
                tail(getnptex(d1$X24...Did.patient.receive.Isoniazid.Preventive.Therapy..IPT..at.any.time.before.the.current.TB.diagnosis.,by=d1$outcome1a,label="IPT receipt anytime before TB diagnosis",inc.pval=FALSE),1),
                tail(getnptex(d1$X30...Is.this.case.a.TB.re.treatment.case.,by=d1$outcome1a,label="History of previous TB (retreatment case)",inc.pval=FALSE),1))

table1b <- paste(table1btex,collapse=" \\\\ ")

t1 <- table(d1$outcome[is.na(d1$outcome1a)])
t1miss <- paste(paste0(names(t1)," (",t1,")"),collapse="; ")


