#############################################################
#
#   Program: table3.R
#   Project: IeDEA TB project 
#   PI:  
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created:
#   Revisions: 
#     
#
#############################################################

d1$region <- as.factor(d1$region)
tREGION <- table(d1$region)
REGION.N <- printheader(tREGION,pval=FALSE)


table5tex <- c(tail(getmedtex(d1$age.tbtreat,by=d1$region,label="Age (years), median (IQR)",inc.pval=FALSE,digits=1),1),
#              tail(getnptex(d1$X5...Sex,by=d1$region,label="Sex",inc.pval=FALSE),1),
             getnp1line(ifelse(d1$X5...Sex=="Female",1,NA),by=d1$region,rowlabel="Female, n(\\%)",inc.pval=FALSE,indent=FALSE),
             tail(getnptex(d1$X16...Site.of.disease,by=d1$region,label="Site of disease",inc.pval=FALSE),1),
             "Extrapulmonary site, n(\\%)\\tnote{c}",
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pleural.=="Checked",1,NA),
                        by=d1$region,rowlabel="Pleural",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Lymphatic.=="Checked",1,NA),
                        by=d1$region,rowlabel="Lymphatic",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Bone.and.or.joint.=="Checked",1,NA),
                        by=d1$region,rowlabel="Bone/joint",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Abdominal..peritoneum..omentum..liver..spleen..colon..=="Checked",1,NA), by=d1$region,rowlabel="Abdominal",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Pericardial.=="Checked",1,NA),
                        by=d1$region,rowlabel="Pericardial", indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.CNS.Meningieal.=="Checked",1,NA),
                        by=d1$region,rowlabel="CNS/Meningiel",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Miliary.=="Checked",1,NA),
                        by=d1$region,rowlabel="Miliary",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Unknown.=="Checked",1,NA),
                        by=d1$region,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE),
#              getnp1line(ifelse(d1$X17...Specify.extrapulmonary.site.s...check.all.that.apply..choice.Other.=="Checked",1,NA),
#                         by=d1$region,rowlabel="Other",indent=TRUE,inc.pval=FALSE),
             tail(getmedtex(d1$X25...CD4.cell.count.value,by=d1$region,label="CD4 count, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$X26...CD4.percent.value,by=d1$region,label="CD4 percentage, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$X27...HIV.RNA.value,by=d1$region,label="Viral load, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
             tail(getmedtex(d1$BMI.at.start.of.TB.treatment,by=d1$region,label="BMI at start of TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
#              tail(getmedtex(d1$BMI.at.end.of.TB.treatment,by=d1$region,label="BMI at end of TB treatment, median (IQR)",digits=0,inc.pval=FALSE),1),
             tail(getnptex(d1$X23...Did.patient.have.a.positive.tuberculin.skin.test..TST..or.interferon.gamma.release.assay..IGRA..at.any.time.before.the.current.TB.diagnosis,by=d1$region,label="Positive TST/IGRA result anytime before TB diagnosis",inc.pval=FALSE),1),
             tail(getnptex(d1$X24...Did.patient.receive.Isoniazid.Preventive.Therapy..IPT..at.any.time.before.the.current.TB.diagnosis.,by=d1$region,label="IPT receipt anytime before TB diagnosis",inc.pval=FALSE),1),
             tail(getnptex(d1$X30...Is.this.case.a.TB.re.treatment.case.,by=d1$region,label="History of previous TB (retreatment case)",inc.pval=FALSE),1))

table5 <- paste(table5tex,collapse=" \\\\ ")
        
table6tex <- c("Diagnostic test results",
             tail(getnptex(d1$AFB.smear,by=d1$region,label="AFB smear",inc.pval=FALSE),1),
             tail(getnptex(d1$AFB.Culture.,by=d1$region,label="AFB culture",inc.pval=FALSE),1),
             tail(getnptex(d1$GeneXpert,by=d1$region,label="GeneXpert",inc.pval=FALSE),1),
             tail(getnptex(d1$Other.nucleic.acid.amplification.test.,by=d1$region,label="Other NAAT",inc.pval=FALSE),1),
             tail(getnptex(as.factor(d1$performed),by=d1$region,label="Number of tests performed (with pos/neg/invalid result)",inc.pval=FALSE),1),
             tail(getnptex(as.factor(d1$anypositive),by=d1$region,label="Number of positive tests",inc.pval=FALSE),1),  
             tail(getnptex(droplevels(d1$microtest),by=d1$region,label="Microbiologic confirmation (categorized)",inc.pval=FALSE),1),               
             "Source of specimen (any positive test), n(\\%)\\tnote{c}",
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Expectorated.sputum.=="Checked",1,NA),by=d1$region,rowlabel="Expectorated sputum",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Induced.sputum.=="Checked",1,NA),by=d1$region,rowlabel="Induced sputum",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Gastric.aspirate.=="Checked",1,NA),by=d1$region,rowlabel="Gastric aspirate",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Pleural.fluid.=="Checked",1,NA),by=d1$region,rowlabel="Pleural fluid",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Bronchoalveolar.lavage..BAL..=="Checked",1,NA),by=d1$region,rowlabel="Bronchoalveolar lavage",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Lymph.node.biopsy.or.aspirate.=="Checked",1,NA),by=d1$region,rowlabel="Lymph node biopsy or aspirat",indent=TRUE,inc.pval=FALSE),
#              getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.CSF.=="Checked",1,NA),by=d1$region,rowlabel="CSF",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Blood.=="Checked",1,NA),by=d1$region,rowlabel="Blood.",indent=TRUE,inc.pval=FALSE),
             getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Unknown.=="Checked",1,NA),by=d1$region,rowlabel="Unknown",indent=TRUE,inc.pval=FALSE)
             # getnp1line(ifelse(d1$X15...Source.of.specimen..any.positive.diagnostic.test..check.all.that.apply...choice.Other.=="Checked",1,NA),by=d1$region,rowlabel="Other",indent=TRUE,inc.pval=FALSE)
             )

table6 <- paste(table6tex,collapse=" \\\\ ")

table7tex <- c("First 2-3 months / intensive phase, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Isoniazid.=="Checked",1,NA),by=d1$region,rowlabel="Isoniazid",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked",1,NA),by=d1$region,rowlabel="Rifampin/Rifampicin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                        
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifabutin.=="Checked",1,NA),by=d1$region,rowlabel="Rifabutin",inc.pval=FALSE,indent=FALSE),
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Rifapentine.=="Checked",1,NA),by=d1$region,rowlabel="Rifapentine",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked",1,NA),by=d1$region,rowlabel="Pyrazinamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ethambutol.=="Checked",1,NA),by=d1$region,rowlabel="Ethambutol",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                 
               # getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Capreomycin.=="Checked",1,NA),by=d1$region,rowlabel="Capreomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Streptomycin.=="Checked",1,NA),by=d1$region,rowlabel="Streptomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Kanamycin.=="Checked",1,NA),by=d1$region,rowlabel="Kanamycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Amikacin.=="Checked",1,NA),by=d1$region,rowlabel="Amikacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                   
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ethionamide.=="Checked",1,NA),by=d1$region,rowlabel="Ethionamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Cycloserine.Terizidone.=="Checked",1,NA),by=d1$region,rowlabel="Cycloserine/Terizidone",inc.pval=FALSE,indent=FALSE),
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Para.aminosalicylate.sodium..PAS..=="Checked",1,NA),by=d1$region,rowlabel="Para-aminosalicylate sodium",inc.pval=FALSE,indent=FALSE),                                                                                                                                          
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Ofloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Ofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Gatifloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Gatifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               # getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Moxifloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Moxifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Levofloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Levofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.1...First.2.3.months...intensive.phase..check.all.that.apply...choice.Other.=="Checked",1,NA),by=d1$region,rowlabel="Other",inc.pval=FALSE,indent=FALSE),
               "After first 2-3 months / continuation phase, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Isoniazid.=="Checked",1,NA),by=d1$region,rowlabel="Isoniazid",inc.pval=FALSE,indent=FALSE),
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifampin.Rifampicin.=="Checked",1,NA),by=d1$region,rowlabel="Rifampin/Rifampicin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                        
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifabutin.=="Checked",1,NA),by=d1$region,rowlabel="Rifabutin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Rifapentine.=="Checked",1,NA),by=d1$region,rowlabel="Rifapentine",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Pyrazinamide.=="Checked",1,NA),by=d1$region,rowlabel="Pyrazinamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ethambutol.=="Checked",1,NA),by=d1$region,rowlabel="Ethambutol",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                 
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Capreomycin.=="Checked",1,NA),by=d1$region,rowlabel="Capreomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Streptomycin.=="Checked",1,NA),by=d1$region,rowlabel="Streptomycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Kanamycin.=="Checked",1,NA),by=d1$region,rowlabel="Kanamycin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Amikacin.=="Checked",1,NA),by=d1$region,rowlabel="Amikacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                   
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ethionamide.=="Checked",1,NA),by=d1$region,rowlabel="Ethionamide",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Cycloserine.Terizidone.=="Checked",1,NA),by=d1$region,rowlabel="Cycloserine/Terizidone",inc.pval=FALSE,indent=FALSE),                                                                                                                                                     
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Para.aminosalicylate.sodium..PAS..=="Checked",1,NA),by=d1$region,rowlabel="Para-aminosalicylate sodium",inc.pval=FALSE,indent=FALSE),                                                                                                                                          
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Ofloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Ofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                                  
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Gatifloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Gatifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
#                getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Moxifloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Moxifloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Levoloxacin.=="Checked",1,NA),by=d1$region,rowlabel="Levofloxacin",inc.pval=FALSE,indent=FALSE),                                                                                                                                                               
               getnp1line(ifelse(d1$X22.2...After.first.2.3.months...continuation.phase..check.all.that.apply...choice.Other.=="Checked",1,NA),by=d1$region,rowlabel="Other",inc.pval=FALSE,indent=FALSE),
               tail(getnptex(d1$Isoniazid.resistance,by=d1$region,label="Isoniazid resistance",inc.pval=FALSE),1),
               tail(getnptex(d1$Rifampicin.resistance,by=d1$region,label="Rifampicin resistance",inc.pval=FALSE),1),
               tail(getnptex(d1$X19...Was.treatment.directly.observed..DOT..,by=d1$region,label="Was treatment directly observed?",inc.pval=FALSE),1),
               tail(getnptex(d1$X20...Intermittency.of.dosing.that.patient.received.in.continuation.phase..after.the.first.2.3.months.of.treatment.,by=d1$region,label="Intermittency of dosing in continuation phase",inc.pval=FALSE),1)
)

table7 <- paste(table7tex,collapse=" \\\\ ")


table7atex <- c(tail(getnptex(d1$combo_phase1,by=d1$region,label="First 2-3 months / intensive phase treatment combination",inc.pval=FALSE),1),
                tail(getnptex(d1$combo_phase2,by=d1$region,label="After first 2-3 months / continuation phase treatment combination",inc.pval=FALSE),1))

table7a <- paste(table7atex,collapse=" \\\\ ")

table8tex <- c(tail(getmedtex(d1$dx2tx,by=d1$region,label="Time from diagnosis to treatment (days), median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               tail(getnptex(d1$dx2txcat,by=d1$region,label="Time from diagnosis to treatment (categorized)",inc.pval=FALSE),1),
               tail(getmedtex(d1$X13...Total.months.of.TB.treatment.received..excluding.interruptions,by=d1$region,label="Months of continuous TB treatment, median (IQR)",digits=0,inc.pval=FALSE,miss.label=FALSE),1),
               "TB treatment outcomes, n(\\%)\\tnote{c}",
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Cure.Patient.with.positive.sputum.smear.or.culture.at.beginning.of.treatment.but.who.was.smear.or.culture.negative.in.the.last.month.of.treatment.and.one.at.least.on.previous.occasion.=="Checked",1,NA),by=d1$region,rowlabel="Cure",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Completion.Patient.who.completed.treatment.but.who.does.not.have.a.negative.sputum.smear.or.culture.in.the.last.month.of.treatment.and.on.at.least.one.previous.occasion.=="Checked",1,NA),by=d1$region,rowlabel="Completion",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Failure.Patient.with.positive.sputum.smear.or.culture.at.month.5.or.later.during.treatment.OR.a.patient.found.to.harbor.a.MDR.strain.at.any.time.during.treatment.=="Checked",1,NA),by=d1$region,rowlabel="Failure",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Death.during.TB.treatment.=="Checked",1,NA),by=d1$region,rowlabel="Death during TB treatment",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Default.Patient.whose.treatment.was.interrupted.for.2.months.or.more.=="Checked",1,NA),by=d1$region,rowlabel="Default",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Transfer.A.patient.who.has.been.transferred.to.another.recording.and.reporting.unit.and.whose.treatment.outcome.is.unknown.=="Checked",1,NA),by=d1$region,rowlabel="Transfer",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.Unknown.TB.treatment.outcome.is.unknown.=="Checked",1,NA),by=d1$region,rowlabel="Unknown",inc.pval=FALSE,indent=TRUE),
               getnp1line(ifelse(d1$X21...TB.treatment.outcomes..check.all.that.apply......choice.On.therapy.Patient.is.still.on.TB.therapy.=="Checked",1,NA),by=d1$region,rowlabel="On therapy",inc.pval=FALSE,indent=TRUE),
               # tail(getnptex(d1$outcome,by=d1$region,label="TB treatment outcomes (categorized)",inc.pval=FALSE),1),
               tail(getnptex(d1$outcome1a,by=d1$region,label="TB treatment outcomes (dichotomized)",inc.pval=FALSE),1))

table8 <- paste(table8tex,collapse=" \\\\ ")



